Subject: Re: [PATCH] sh_eth Add SH7619 support

From: Yoshinori Sato <[email-masked]>
Date: Fri, 01 Aug 2008 11:32:28 -0400

At Fri, 1 Aug 2008 12:48:27 +0900,
Nobuhiro Iwamatsu wrote:
> 
> Hi, Sato-san.
> 
> 2008/8/1 Yoshinori Sato <[email-masked]>:
> > SH7619 have same SH7710 ethernet controler.
> > Add support for sh_eth driver.
> >
> > Signed-off-by: Yoshinori Sato <[email-masked]>
> >
> 
> <snip>
> 
> >
> > diff --git a/drivers/net/sh_eth.h b/drivers/net/sh_eth.h
> > index 45ad1b0..ca3cc5f 100644
> > --- a/drivers/net/sh_eth.h
> > +++ b/drivers/net/sh_eth.h
> > @@ -143,10 +143,11 @@
> >
> 
> <snip>
> 
> > +
> > +/* CPU endian from/to EDMAC endian */
> > +#if !defined(CONFIG_CPU_SUBTYPE_SH7619)
> > +#define cpu_to_edmac(x) cpu_to_le32(x)
> > +#define edmac_to_cpu(x) le32_to_cpu(x)
> > +#else
> > +#define cpu_to_edmac(x) cpu_to_be32(x)
> > +#define edmac_to_cpu(x) be32_to_cpu(x)
> > +#endif
> > +
> >  #endif
> I think that this depends on an endian not CPU dependence.

I agree.
But I'm no idea.
Are you have good idea?
 
> Best regards,
>  Nobuhiro